> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getmint.money/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getmint.money/_mcp/server.

# Post V 1 Payments Payment Id Confirm

POST https://api.getmint.money/v1/payments/{paymentId}/confirm
Content-Type: application/json

Confirm a crypto payment by tx hash

Reference: https://docs.getmint.money/api-reference/payments/post-v-1-payments-payment-id-confirm

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `paymentId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `tx_hash` (string, optional)
- `lifi_quote` (V1PaymentsPaymentIdConfirmPostRequestBodyContentApplicationJsonSchemaLifiQuote, optional)

## Response

### 202

Default Response

- `data` (V1PaymentsPaymentIdConfirmPostResponsesContentApplicationJsonSchemaData, required)
- `meta` (V1PaymentsPaymentIdConfirmPostResponsesContentApplicationJsonSchemaMeta, required, nullable)
- `error` (string, required, nullable)
- `status` (double, optional, default: 200)

## Types

### V1PaymentsPaymentIdConfirmPostRequestBodyContentApplicationJsonSchemaLifiQuote

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)
- `route` (any, optional)

### V1PaymentsPaymentIdConfirmPostResponsesContentApplicationJsonSchemaData

- `status` (string, required)

### V1PaymentsPaymentIdConfirmPostResponsesContentApplicationJsonSchemaMeta

- `total` (double, required)
- `offset` (double, required)
- `limit` (double, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "status": "string"
  },
  "meta": {
    "total": 1.1,
    "offset": 1.1,
    "limit": 1.1
  },
  "error": "string",
  "status": 200
}
```

**SDK Code**

```python
import requests

url = "https://api.getmint.money/v1/payments/paymentId/confirm"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getmint.money/v1/payments/paymentId/confirm';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getmint.money/v1/payments/paymentId/confirm"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getmint.money/v1/payments/paymentId/confirm")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getmint.money/v1/payments/paymentId/confirm")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getmint.money/v1/payments/paymentId/confirm', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getmint.money/v1/payments/paymentId/confirm");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getmint.money/v1/payments/paymentId/confirm")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```